player_blobfinder_blob Struct Reference

Structure describing a single blob. More...

`#include <player_interfaces.h>`

## Public Attributes

uint32_t | id
| Blob id. More...
uint32_t | color
| A descriptive color for the blob (useful for gui's). More...
uint32_t | area
| The blob area [pixels]. More...
uint32_t | x
| The blob centroid [pixels]. More...
uint32_t | y
| The blob centroid [pixels]. More...
uint32_t | left
| Bounding box for the blob [pixels]. More...
uint32_t | right
| Bounding box for the blob [pixels]. More...
uint32_t | top
| Bounding box for the blob [pixels]. More...
uint32_t | bottom
| Bounding box for the blob [pixels]. More...
float | range
| Range to the blob center [meters].

## Detailed Description

Structure describing a single blob.

## Member Data Documentation

uint32_t player_blobfinder_blob::area

The blob area [pixels].

uint32_t player_blobfinder_blob::bottom

Bounding box for the blob [pixels].

uint32_t player_blobfinder_blob::color

A descriptive color for the blob (useful for gui's).

The color is stored as packed 32-bit RGB, i.e., 0x00RRGGBB.

uint32_t player_blobfinder_blob::id

Blob id.

uint32_t player_blobfinder_blob::left

Bounding box for the blob [pixels].

uint32_t player_blobfinder_blob::right

Bounding box for the blob [pixels].

uint32_t player_blobfinder_blob::top

Bounding box for the blob [pixels].

uint32_t player_blobfinder_blob::x

The blob centroid [pixels].

uint32_t player_blobfinder_blob::y

The blob centroid [pixels].

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45